IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/63
Addresses2^65
/64 networks2
- Network
fe80:c25a:ec00:ddc::/63- First address
fe80:c25a:ec00:ddc::- Last address
fe80:c25a:ec00:ddd:ffff:ffff:ffff:ffff- Addresses
- 36,893,488,147,419,103,232 (2^65)
- /64 networks (LANs)
- 2
- Full form
fe80:c25a:ec00:0ddc:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zones
c.d.d.0.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpad.d.d.0.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpa
/63 is not on a 4-bit boundary, so it takes 2 /64 zones.
Split into smaller subnets
fe80:c25a:ec00:ddc::/63 makes 8,192 subnets of /76; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:ec00:ddc::/76 | fe80:c25a:ec00:ddc:f:ffff:ffff:ffff |
| 2 | fe80:c25a:ec00:ddc:10::/76 | fe80:c25a:ec00:ddc:1f:ffff:ffff:ffff |
| 3 | fe80:c25a:ec00:ddc:20::/76 | fe80:c25a:ec00:ddc:2f:ffff:ffff:ffff |
| 4 | fe80:c25a:ec00:ddc:30::/76 | fe80:c25a:ec00:ddc:3f:ffff:ffff:ffff |
| 5 | fe80:c25a:ec00:ddc:40::/76 | fe80:c25a:ec00:ddc:4f:ffff:ffff:ffff |
| 6 | fe80:c25a:ec00:ddc:50::/76 | fe80:c25a:ec00:ddc:5f:ffff:ffff:ffff |
| 7 | fe80:c25a:ec00:ddc:60::/76 | fe80:c25a:ec00:ddc:6f:ffff:ffff:ffff |
| 8 | fe80:c25a:ec00:ddc:70::/76 | fe80:c25a:ec00:ddc:7f:ffff:ffff:ffff |
| 9 | fe80:c25a:ec00:ddc:80::/76 | fe80:c25a:ec00:ddc:8f:ffff:ffff:ffff |
| 10 | fe80:c25a:ec00:ddc:90::/76 | fe80:c25a:ec00:ddc:9f:ffff:ffff:ffff |
| 11 | fe80:c25a:ec00:ddc:a0::/76 | fe80:c25a:ec00:ddc:af:ffff:ffff:ffff |
| 12 | fe80:c25a:ec00:ddc:b0::/76 | fe80:c25a:ec00:ddc:bf:ffff:ffff:ffff |
| 13 | fe80:c25a:ec00:ddc:c0::/76 | fe80:c25a:ec00:ddc:cf:ffff:ffff:ffff |
| 14 | fe80:c25a:ec00:ddc:d0::/76 | fe80:c25a:ec00:ddc:df:ffff:ffff:ffff |
| 15 | fe80:c25a:ec00:ddc:e0::/76 | fe80:c25a:ec00:ddc:ef:ffff:ffff:ffff |
| 16 | fe80:c25a:ec00:ddc:f0::/76 | fe80:c25a:ec00:ddc:ff:ffff:ffff:ffff |
| 17 | fe80:c25a:ec00:ddc:100::/76 | fe80:c25a:ec00:ddc:10f:ffff:ffff:ffff |
| 18 | fe80:c25a:ec00:ddc:110::/76 | fe80:c25a:ec00:ddc:11f:ffff:ffff:ffff |
| 19 | fe80:c25a:ec00:ddc:120::/76 | fe80:c25a:ec00:ddc:12f:ffff:ffff:ffff |
| 20 | fe80:c25a:ec00:ddc:130::/76 | fe80:c25a:ec00:ddc:13f:ffff:ffff:ffff |
| 21 | fe80:c25a:ec00:ddc:140::/76 | fe80:c25a:ec00:ddc:14f:ffff:ffff:ffff |
| 22 | fe80:c25a:ec00:ddc:150::/76 | fe80:c25a:ec00:ddc:15f:ffff:ffff:ffff |
| 23 | fe80:c25a:ec00:ddc:160::/76 | fe80:c25a:ec00:ddc:16f:ffff:ffff:ffff |
| 24 | fe80:c25a:ec00:ddc:170::/76 | fe80:c25a:ec00:ddc:17f:ffff:ffff:ffff |
| 25 | fe80:c25a:ec00:ddc:180::/76 | fe80:c25a:ec00:ddc:18f:ffff:ffff:ffff |
| 26 | fe80:c25a:ec00:ddc:190::/76 | fe80:c25a:ec00:ddc:19f:ffff:ffff:ffff |
| 27 | fe80:c25a:ec00:ddc:1a0::/76 | fe80:c25a:ec00:ddc:1af:ffff:ffff:ffff |
| 28 | fe80:c25a:ec00:ddc:1b0::/76 | fe80:c25a:ec00:ddc:1bf:ffff:ffff:ffff |
| 29 | fe80:c25a:ec00:ddc:1c0::/76 | fe80:c25a:ec00:ddc:1cf:ffff:ffff:ffff |
| 30 | fe80:c25a:ec00:ddc:1d0::/76 | fe80:c25a:ec00:ddc:1df:ffff:ffff:ffff |
| 31 | fe80:c25a:ec00:ddc:1e0::/76 | fe80:c25a:ec00:ddc:1ef:ffff:ffff:ffff |
| 32 | fe80:c25a:ec00:ddc:1f0::/76 | fe80:c25a:ec00:ddc:1ff:ffff:ffff:ffff |
| 33 | fe80:c25a:ec00:ddc:200::/76 | fe80:c25a:ec00:ddc:20f:ffff:ffff:ffff |
| 34 | fe80:c25a:ec00:ddc:210::/76 | fe80:c25a:ec00:ddc:21f:ffff:ffff:ffff |
| 35 | fe80:c25a:ec00:ddc:220::/76 | fe80:c25a:ec00:ddc:22f:ffff:ffff:ffff |
| 36 | fe80:c25a:ec00:ddc:230::/76 | fe80:c25a:ec00:ddc:23f:ffff:ffff:ffff |
| 37 | fe80:c25a:ec00:ddc:240::/76 | fe80:c25a:ec00:ddc:24f:ffff:ffff:ffff |
| 38 | fe80:c25a:ec00:ddc:250::/76 | fe80:c25a:ec00:ddc:25f:ffff:ffff:ffff |
| 39 | fe80:c25a:ec00:ddc:260::/76 | fe80:c25a:ec00:ddc:26f:ffff:ffff:ffff |
| 40 | fe80:c25a:ec00:ddc:270::/76 | fe80:c25a:ec00:ddc:27f:ffff:ffff:ffff |
| 41 | fe80:c25a:ec00:ddc:280::/76 | fe80:c25a:ec00:ddc:28f:ffff:ffff:ffff |
| 42 | fe80:c25a:ec00:ddc:290::/76 | fe80:c25a:ec00:ddc:29f:ffff:ffff:ffff |
| 43 | fe80:c25a:ec00:ddc:2a0::/76 | fe80:c25a:ec00:ddc:2af:ffff:ffff:ffff |
| 44 | fe80:c25a:ec00:ddc:2b0::/76 | fe80:c25a:ec00:ddc:2bf:ffff:ffff:ffff |
| 45 | fe80:c25a:ec00:ddc:2c0::/76 | fe80:c25a:ec00:ddc:2cf:ffff:ffff:ffff |
| 46 | fe80:c25a:ec00:ddc:2d0::/76 | fe80:c25a:ec00:ddc:2df:ffff:ffff:ffff |
| 47 | fe80:c25a:ec00:ddc:2e0::/76 | fe80:c25a:ec00:ddc:2ef:ffff:ffff:ffff |
| 48 | fe80:c25a:ec00:ddc:2f0::/76 | fe80:c25a:ec00:ddc:2ff:ffff:ffff:ffff |
| 49 | fe80:c25a:ec00:ddc:300::/76 | fe80:c25a:ec00:ddc:30f:ffff:ffff:ffff |
| 50 | fe80:c25a:ec00:ddc:310::/76 | fe80:c25a:ec00:ddc:31f:ffff:ffff:ffff |
| 51 | fe80:c25a:ec00:ddc:320::/76 | fe80:c25a:ec00:ddc:32f:ffff:ffff:ffff |
| 52 | fe80:c25a:ec00:ddc:330::/76 | fe80:c25a:ec00:ddc:33f:ffff:ffff:ffff |
| 53 | fe80:c25a:ec00:ddc:340::/76 | fe80:c25a:ec00:ddc:34f:ffff:ffff:ffff |
| 54 | fe80:c25a:ec00:ddc:350::/76 | fe80:c25a:ec00:ddc:35f:ffff:ffff:ffff |
| 55 | fe80:c25a:ec00:ddc:360::/76 | fe80:c25a:ec00:ddc:36f:ffff:ffff:ffff |
| 56 | fe80:c25a:ec00:ddc:370::/76 | fe80:c25a:ec00:ddc:37f:ffff:ffff:ffff |
| 57 | fe80:c25a:ec00:ddc:380::/76 | fe80:c25a:ec00:ddc:38f:ffff:ffff:ffff |
| 58 | fe80:c25a:ec00:ddc:390::/76 | fe80:c25a:ec00:ddc:39f:ffff:ffff:ffff |
| 59 | fe80:c25a:ec00:ddc:3a0::/76 | fe80:c25a:ec00:ddc:3af:ffff:ffff:ffff |
| 60 | fe80:c25a:ec00:ddc:3b0::/76 | fe80:c25a:ec00:ddc:3bf:ffff:ffff:ffff |
| 61 | fe80:c25a:ec00:ddc:3c0::/76 | fe80:c25a:ec00:ddc:3cf:ffff:ffff:ffff |
| 62 | fe80:c25a:ec00:ddc:3d0::/76 | fe80:c25a:ec00:ddc:3df:ffff:ffff:ffff |
| 63 | fe80:c25a:ec00:ddc:3e0::/76 | fe80:c25a:ec00:ddc:3ef:ffff:ffff:ffff |
| 64 | fe80:c25a:ec00:ddc:3f0::/76 | fe80:c25a:ec00:ddc:3ff:ffff:ffff:ffff |
| 65 | fe80:c25a:ec00:ddc:400::/76 | fe80:c25a:ec00:ddc:40f:ffff:ffff:ffff |
| 66 | fe80:c25a:ec00:ddc:410::/76 | fe80:c25a:ec00:ddc:41f:ffff:ffff:ffff |
| 67 | fe80:c25a:ec00:ddc:420::/76 | fe80:c25a:ec00:ddc:42f:ffff:ffff:ffff |
| 68 | fe80:c25a:ec00:ddc:430::/76 | fe80:c25a:ec00:ddc:43f:ffff:ffff:ffff |
| 69 | fe80:c25a:ec00:ddc:440::/76 | fe80:c25a:ec00:ddc:44f:ffff:ffff:ffff |
| 70 | fe80:c25a:ec00:ddc:450::/76 | fe80:c25a:ec00:ddc:45f:ffff:ffff:ffff |
| 71 | fe80:c25a:ec00:ddc:460::/76 | fe80:c25a:ec00:ddc:46f:ffff:ffff:ffff |
| 72 | fe80:c25a:ec00:ddc:470::/76 | fe80:c25a:ec00:ddc:47f:ffff:ffff:ffff |
| 73 | fe80:c25a:ec00:ddc:480::/76 | fe80:c25a:ec00:ddc:48f:ffff:ffff:ffff |
| 74 | fe80:c25a:ec00:ddc:490::/76 | fe80:c25a:ec00:ddc:49f:ffff:ffff:ffff |
| 75 | fe80:c25a:ec00:ddc:4a0::/76 | fe80:c25a:ec00:ddc:4af:ffff:ffff:ffff |
| 76 | fe80:c25a:ec00:ddc:4b0::/76 | fe80:c25a:ec00:ddc:4bf:ffff:ffff:ffff |
| 77 | fe80:c25a:ec00:ddc:4c0::/76 | fe80:c25a:ec00:ddc:4cf:ffff:ffff:ffff |
| 78 | fe80:c25a:ec00:ddc:4d0::/76 | fe80:c25a:ec00:ddc:4df:ffff:ffff:ffff |
| 79 | fe80:c25a:ec00:ddc:4e0::/76 | fe80:c25a:ec00:ddc:4ef:ffff:ffff:ffff |
| 80 | fe80:c25a:ec00:ddc:4f0::/76 | fe80:c25a:ec00:ddc:4ff:ffff:ffff:ffff |
| 81 | fe80:c25a:ec00:ddc:500::/76 | fe80:c25a:ec00:ddc:50f:ffff:ffff:ffff |
| 82 | fe80:c25a:ec00:ddc:510::/76 | fe80:c25a:ec00:ddc:51f:ffff:ffff:ffff |
| 83 | fe80:c25a:ec00:ddc:520::/76 | fe80:c25a:ec00:ddc:52f:ffff:ffff:ffff |
| 84 | fe80:c25a:ec00:ddc:530::/76 | fe80:c25a:ec00:ddc:53f:ffff:ffff:ffff |
| 85 | fe80:c25a:ec00:ddc:540::/76 | fe80:c25a:ec00:ddc:54f:ffff:ffff:ffff |
| 86 | fe80:c25a:ec00:ddc:550::/76 | fe80:c25a:ec00:ddc:55f:ffff:ffff:ffff |
| 87 | fe80:c25a:ec00:ddc:560::/76 | fe80:c25a:ec00:ddc:56f:ffff:ffff:ffff |
| 88 | fe80:c25a:ec00:ddc:570::/76 | fe80:c25a:ec00:ddc:57f:ffff:ffff:ffff |
| 89 | fe80:c25a:ec00:ddc:580::/76 | fe80:c25a:ec00:ddc:58f:ffff:ffff:ffff |
| 90 | fe80:c25a:ec00:ddc:590::/76 | fe80:c25a:ec00:ddc:59f:ffff:ffff:ffff |
| 91 | fe80:c25a:ec00:ddc:5a0::/76 | fe80:c25a:ec00:ddc:5af:ffff:ffff:ffff |
| 92 | fe80:c25a:ec00:ddc:5b0::/76 | fe80:c25a:ec00:ddc:5bf:ffff:ffff:ffff |
| 93 | fe80:c25a:ec00:ddc:5c0::/76 | fe80:c25a:ec00:ddc:5cf:ffff:ffff:ffff |
| 94 | fe80:c25a:ec00:ddc:5d0::/76 | fe80:c25a:ec00:ddc:5df:ffff:ffff:ffff |
| 95 | fe80:c25a:ec00:ddc:5e0::/76 | fe80:c25a:ec00:ddc:5ef:ffff:ffff:ffff |
| 96 | fe80:c25a:ec00:ddc:5f0::/76 | fe80:c25a:ec00:ddc:5ff:ffff:ffff:ffff |
| 97 | fe80:c25a:ec00:ddc:600::/76 | fe80:c25a:ec00:ddc:60f:ffff:ffff:ffff |
| 98 | fe80:c25a:ec00:ddc:610::/76 | fe80:c25a:ec00:ddc:61f:ffff:ffff:ffff |
| 99 | fe80:c25a:ec00:ddc:620::/76 | fe80:c25a:ec00:ddc:62f:ffff:ffff:ffff |
| 100 | fe80:c25a:ec00:ddc:630::/76 | fe80:c25a:ec00:ddc:63f:ffff:ffff:ffff |
| 101 | fe80:c25a:ec00:ddc:640::/76 | fe80:c25a:ec00:ddc:64f:ffff:ffff:ffff |
| 102 | fe80:c25a:ec00:ddc:650::/76 | fe80:c25a:ec00:ddc:65f:ffff:ffff:ffff |
| 103 | fe80:c25a:ec00:ddc:660::/76 | fe80:c25a:ec00:ddc:66f:ffff:ffff:ffff |
| 104 | fe80:c25a:ec00:ddc:670::/76 | fe80:c25a:ec00:ddc:67f:ffff:ffff:ffff |
| 105 | fe80:c25a:ec00:ddc:680::/76 | fe80:c25a:ec00:ddc:68f:ffff:ffff:ffff |
| 106 | fe80:c25a:ec00:ddc:690::/76 | fe80:c25a:ec00:ddc:69f:ffff:ffff:ffff |
| 107 | fe80:c25a:ec00:ddc:6a0::/76 | fe80:c25a:ec00:ddc:6af:ffff:ffff:ffff |
| 108 | fe80:c25a:ec00:ddc:6b0::/76 | fe80:c25a:ec00:ddc:6bf:ffff:ffff:ffff |
| 109 | fe80:c25a:ec00:ddc:6c0::/76 | fe80:c25a:ec00:ddc:6cf:ffff:ffff:ffff |
| 110 | fe80:c25a:ec00:ddc:6d0::/76 | fe80:c25a:ec00:ddc:6df:ffff:ffff:ffff |
| 111 | fe80:c25a:ec00:ddc:6e0::/76 | fe80:c25a:ec00:ddc:6ef:ffff:ffff:ffff |
| 112 | fe80:c25a:ec00:ddc:6f0::/76 | fe80:c25a:ec00:ddc:6ff:ffff:ffff:ffff |
| 113 | fe80:c25a:ec00:ddc:700::/76 | fe80:c25a:ec00:ddc:70f:ffff:ffff:ffff |
| 114 | fe80:c25a:ec00:ddc:710::/76 | fe80:c25a:ec00:ddc:71f:ffff:ffff:ffff |
| 115 | fe80:c25a:ec00:ddc:720::/76 | fe80:c25a:ec00:ddc:72f:ffff:ffff:ffff |
| 116 | fe80:c25a:ec00:ddc:730::/76 | fe80:c25a:ec00:ddc:73f:ffff:ffff:ffff |
| 117 | fe80:c25a:ec00:ddc:740::/76 | fe80:c25a:ec00:ddc:74f:ffff:ffff:ffff |
| 118 | fe80:c25a:ec00:ddc:750::/76 | fe80:c25a:ec00:ddc:75f:ffff:ffff:ffff |
| 119 | fe80:c25a:ec00:ddc:760::/76 | fe80:c25a:ec00:ddc:76f:ffff:ffff:ffff |
| 120 | fe80:c25a:ec00:ddc:770::/76 | fe80:c25a:ec00:ddc:77f:ffff:ffff:ffff |
| 121 | fe80:c25a:ec00:ddc:780::/76 | fe80:c25a:ec00:ddc:78f:ffff:ffff:ffff |
| 122 | fe80:c25a:ec00:ddc:790::/76 | fe80:c25a:ec00:ddc:79f:ffff:ffff:ffff |
| 123 | fe80:c25a:ec00:ddc:7a0::/76 | fe80:c25a:ec00:ddc:7af:ffff:ffff:ffff |
| 124 | fe80:c25a:ec00:ddc:7b0::/76 | fe80:c25a:ec00:ddc:7bf:ffff:ffff:ffff |
| 125 | fe80:c25a:ec00:ddc:7c0::/76 | fe80:c25a:ec00:ddc:7cf:ffff:ffff:ffff |
| 126 | fe80:c25a:ec00:ddc:7d0::/76 | fe80:c25a:ec00:ddc:7df:ffff:ffff:ffff |
| 127 | fe80:c25a:ec00:ddc:7e0::/76 | fe80:c25a:ec00:ddc:7ef:ffff:ffff:ffff |
| 128 | fe80:c25a:ec00:ddc:7f0::/76 | fe80:c25a:ec00:ddc:7ff:ffff:ffff:ffff |
| 129 | fe80:c25a:ec00:ddc:800::/76 | fe80:c25a:ec00:ddc:80f:ffff:ffff:ffff |
| 130 | fe80:c25a:ec00:ddc:810::/76 | fe80:c25a:ec00:ddc:81f:ffff:ffff:ffff |
| 131 | fe80:c25a:ec00:ddc:820::/76 | fe80:c25a:ec00:ddc:82f:ffff:ffff:ffff |
| 132 | fe80:c25a:ec00:ddc:830::/76 | fe80:c25a:ec00:ddc:83f:ffff:ffff:ffff |
| 133 | fe80:c25a:ec00:ddc:840::/76 | fe80:c25a:ec00:ddc:84f:ffff:ffff:ffff |
| 134 | fe80:c25a:ec00:ddc:850::/76 | fe80:c25a:ec00:ddc:85f:ffff:ffff:ffff |
| 135 | fe80:c25a:ec00:ddc:860::/76 | fe80:c25a:ec00:ddc:86f:ffff:ffff:ffff |
| 136 | fe80:c25a:ec00:ddc:870::/76 | fe80:c25a:ec00:ddc:87f:ffff:ffff:ffff |
| 137 | fe80:c25a:ec00:ddc:880::/76 | fe80:c25a:ec00:ddc:88f:ffff:ffff:ffff |
| 138 | fe80:c25a:ec00:ddc:890::/76 | fe80:c25a:ec00:ddc:89f:ffff:ffff:ffff |
| 139 | fe80:c25a:ec00:ddc:8a0::/76 | fe80:c25a:ec00:ddc:8af:ffff:ffff:ffff |
| 140 | fe80:c25a:ec00:ddc:8b0::/76 | fe80:c25a:ec00:ddc:8bf:ffff:ffff:ffff |
| 141 | fe80:c25a:ec00:ddc:8c0::/76 | fe80:c25a:ec00:ddc:8cf:ffff:ffff:ffff |
| 142 | fe80:c25a:ec00:ddc:8d0::/76 | fe80:c25a:ec00:ddc:8df:ffff:ffff:ffff |
| 143 | fe80:c25a:ec00:ddc:8e0::/76 | fe80:c25a:ec00:ddc:8ef:ffff:ffff:ffff |
| 144 | fe80:c25a:ec00:ddc:8f0::/76 | fe80:c25a:ec00:ddc:8ff:ffff:ffff:ffff |
| 145 | fe80:c25a:ec00:ddc:900::/76 | fe80:c25a:ec00:ddc:90f:ffff:ffff:ffff |
| 146 | fe80:c25a:ec00:ddc:910::/76 | fe80:c25a:ec00:ddc:91f:ffff:ffff:ffff |
| 147 | fe80:c25a:ec00:ddc:920::/76 | fe80:c25a:ec00:ddc:92f:ffff:ffff:ffff |
| 148 | fe80:c25a:ec00:ddc:930::/76 | fe80:c25a:ec00:ddc:93f:ffff:ffff:ffff |
| 149 | fe80:c25a:ec00:ddc:940::/76 | fe80:c25a:ec00:ddc:94f:ffff:ffff:ffff |
| 150 | fe80:c25a:ec00:ddc:950::/76 | fe80:c25a:ec00:ddc:95f:ffff:ffff:ffff |
| 151 | fe80:c25a:ec00:ddc:960::/76 | fe80:c25a:ec00:ddc:96f:ffff:ffff:ffff |
| 152 | fe80:c25a:ec00:ddc:970::/76 | fe80:c25a:ec00:ddc:97f:ffff:ffff:ffff |
| 153 | fe80:c25a:ec00:ddc:980::/76 | fe80:c25a:ec00:ddc:98f:ffff:ffff:ffff |
| 154 | fe80:c25a:ec00:ddc:990::/76 | fe80:c25a:ec00:ddc:99f:ffff:ffff:ffff |
| 155 | fe80:c25a:ec00:ddc:9a0::/76 | fe80:c25a:ec00:ddc:9af:ffff:ffff:ffff |
| 156 | fe80:c25a:ec00:ddc:9b0::/76 | fe80:c25a:ec00:ddc:9bf:ffff:ffff:ffff |
| 157 | fe80:c25a:ec00:ddc:9c0::/76 | fe80:c25a:ec00:ddc:9cf:ffff:ffff:ffff |
| 158 | fe80:c25a:ec00:ddc:9d0::/76 | fe80:c25a:ec00:ddc:9df:ffff:ffff:ffff |
| 159 | fe80:c25a:ec00:ddc:9e0::/76 | fe80:c25a:ec00:ddc:9ef:ffff:ffff:ffff |
| 160 | fe80:c25a:ec00:ddc:9f0::/76 | fe80:c25a:ec00:ddc:9ff:ffff:ffff:ffff |
| 161 | fe80:c25a:ec00:ddc:a00::/76 | fe80:c25a:ec00:ddc:a0f:ffff:ffff:ffff |
| 162 | fe80:c25a:ec00:ddc:a10::/76 | fe80:c25a:ec00:ddc:a1f:ffff:ffff:ffff |
| 163 | fe80:c25a:ec00:ddc:a20::/76 | fe80:c25a:ec00:ddc:a2f:ffff:ffff:ffff |
| 164 | fe80:c25a:ec00:ddc:a30::/76 | fe80:c25a:ec00:ddc:a3f:ffff:ffff:ffff |
| 165 | fe80:c25a:ec00:ddc:a40::/76 | fe80:c25a:ec00:ddc:a4f:ffff:ffff:ffff |
| 166 | fe80:c25a:ec00:ddc:a50::/76 | fe80:c25a:ec00:ddc:a5f:ffff:ffff:ffff |
| 167 | fe80:c25a:ec00:ddc:a60::/76 | fe80:c25a:ec00:ddc:a6f:ffff:ffff:ffff |
| 168 | fe80:c25a:ec00:ddc:a70::/76 | fe80:c25a:ec00:ddc:a7f:ffff:ffff:ffff |
| 169 | fe80:c25a:ec00:ddc:a80::/76 | fe80:c25a:ec00:ddc:a8f:ffff:ffff:ffff |
| 170 | fe80:c25a:ec00:ddc:a90::/76 | fe80:c25a:ec00:ddc:a9f:ffff:ffff:ffff |
| 171 | fe80:c25a:ec00:ddc:aa0::/76 | fe80:c25a:ec00:ddc:aaf:ffff:ffff:ffff |
| 172 | fe80:c25a:ec00:ddc:ab0::/76 | fe80:c25a:ec00:ddc:abf:ffff:ffff:ffff |
| 173 | fe80:c25a:ec00:ddc:ac0::/76 | fe80:c25a:ec00:ddc:acf:ffff:ffff:ffff |
| 174 | fe80:c25a:ec00:ddc:ad0::/76 | fe80:c25a:ec00:ddc:adf:ffff:ffff:ffff |
| 175 | fe80:c25a:ec00:ddc:ae0::/76 | fe80:c25a:ec00:ddc:aef:ffff:ffff:ffff |
| 176 | fe80:c25a:ec00:ddc:af0::/76 | fe80:c25a:ec00:ddc:aff:ffff:ffff:ffff |
| 177 | fe80:c25a:ec00:ddc:b00::/76 | fe80:c25a:ec00:ddc:b0f:ffff:ffff:ffff |
| 178 | fe80:c25a:ec00:ddc:b10::/76 | fe80:c25a:ec00:ddc:b1f:ffff:ffff:ffff |
| 179 | fe80:c25a:ec00:ddc:b20::/76 | fe80:c25a:ec00:ddc:b2f:ffff:ffff:ffff |
| 180 | fe80:c25a:ec00:ddc:b30::/76 | fe80:c25a:ec00:ddc:b3f:ffff:ffff:ffff |
| 181 | fe80:c25a:ec00:ddc:b40::/76 | fe80:c25a:ec00:ddc:b4f:ffff:ffff:ffff |
| 182 | fe80:c25a:ec00:ddc:b50::/76 | fe80:c25a:ec00:ddc:b5f:ffff:ffff:ffff |
| 183 | fe80:c25a:ec00:ddc:b60::/76 | fe80:c25a:ec00:ddc:b6f:ffff:ffff:ffff |
| 184 | fe80:c25a:ec00:ddc:b70::/76 | fe80:c25a:ec00:ddc:b7f:ffff:ffff:ffff |
| 185 | fe80:c25a:ec00:ddc:b80::/76 | fe80:c25a:ec00:ddc:b8f:ffff:ffff:ffff |
| 186 | fe80:c25a:ec00:ddc:b90::/76 | fe80:c25a:ec00:ddc:b9f:ffff:ffff:ffff |
| 187 | fe80:c25a:ec00:ddc:ba0::/76 | fe80:c25a:ec00:ddc:baf:ffff:ffff:ffff |
| 188 | fe80:c25a:ec00:ddc:bb0::/76 | fe80:c25a:ec00:ddc:bbf:ffff:ffff:ffff |
| 189 | fe80:c25a:ec00:ddc:bc0::/76 | fe80:c25a:ec00:ddc:bcf:ffff:ffff:ffff |
| 190 | fe80:c25a:ec00:ddc:bd0::/76 | fe80:c25a:ec00:ddc:bdf:ffff:ffff:ffff |
| 191 | fe80:c25a:ec00:ddc:be0::/76 | fe80:c25a:ec00:ddc:bef:ffff:ffff:ffff |
| 192 | fe80:c25a:ec00:ddc:bf0::/76 | fe80:c25a:ec00:ddc:bff:ffff:ffff:ffff |
| 193 | fe80:c25a:ec00:ddc:c00::/76 | fe80:c25a:ec00:ddc:c0f:ffff:ffff:ffff |
| 194 | fe80:c25a:ec00:ddc:c10::/76 | fe80:c25a:ec00:ddc:c1f:ffff:ffff:ffff |
| 195 | fe80:c25a:ec00:ddc:c20::/76 | fe80:c25a:ec00:ddc:c2f:ffff:ffff:ffff |
| 196 | fe80:c25a:ec00:ddc:c30::/76 | fe80:c25a:ec00:ddc:c3f:ffff:ffff:ffff |
| 197 | fe80:c25a:ec00:ddc:c40::/76 | fe80:c25a:ec00:ddc:c4f:ffff:ffff:ffff |
| 198 | fe80:c25a:ec00:ddc:c50::/76 | fe80:c25a:ec00:ddc:c5f:ffff:ffff:ffff |
| 199 | fe80:c25a:ec00:ddc:c60::/76 | fe80:c25a:ec00:ddc:c6f:ffff:ffff:ffff |
| 200 | fe80:c25a:ec00:ddc:c70::/76 | fe80:c25a:ec00:ddc:c7f:ffff:ffff:ffff |
| 201 | fe80:c25a:ec00:ddc:c80::/76 | fe80:c25a:ec00:ddc:c8f:ffff:ffff:ffff |
| 202 | fe80:c25a:ec00:ddc:c90::/76 | fe80:c25a:ec00:ddc:c9f:ffff:ffff:ffff |
| 203 | fe80:c25a:ec00:ddc:ca0::/76 | fe80:c25a:ec00:ddc:caf:ffff:ffff:ffff |
| 204 | fe80:c25a:ec00:ddc:cb0::/76 | fe80:c25a:ec00:ddc:cbf:ffff:ffff:ffff |
| 205 | fe80:c25a:ec00:ddc:cc0::/76 | fe80:c25a:ec00:ddc:ccf:ffff:ffff:ffff |
| 206 | fe80:c25a:ec00:ddc:cd0::/76 | fe80:c25a:ec00:ddc:cdf:ffff:ffff:ffff |
| 207 | fe80:c25a:ec00:ddc:ce0::/76 | fe80:c25a:ec00:ddc:cef:ffff:ffff:ffff |
| 208 | fe80:c25a:ec00:ddc:cf0::/76 | fe80:c25a:ec00:ddc:cff:ffff:ffff:ffff |
| 209 | fe80:c25a:ec00:ddc:d00::/76 | fe80:c25a:ec00:ddc:d0f:ffff:ffff:ffff |
| 210 | fe80:c25a:ec00:ddc:d10::/76 | fe80:c25a:ec00:ddc:d1f:ffff:ffff:ffff |
| 211 | fe80:c25a:ec00:ddc:d20::/76 | fe80:c25a:ec00:ddc:d2f:ffff:ffff:ffff |
| 212 | fe80:c25a:ec00:ddc:d30::/76 | fe80:c25a:ec00:ddc:d3f:ffff:ffff:ffff |
| 213 | fe80:c25a:ec00:ddc:d40::/76 | fe80:c25a:ec00:ddc:d4f:ffff:ffff:ffff |
| 214 | fe80:c25a:ec00:ddc:d50::/76 | fe80:c25a:ec00:ddc:d5f:ffff:ffff:ffff |
| 215 | fe80:c25a:ec00:ddc:d60::/76 | fe80:c25a:ec00:ddc:d6f:ffff:ffff:ffff |
| 216 | fe80:c25a:ec00:ddc:d70::/76 | fe80:c25a:ec00:ddc:d7f:ffff:ffff:ffff |
| 217 | fe80:c25a:ec00:ddc:d80::/76 | fe80:c25a:ec00:ddc:d8f:ffff:ffff:ffff |
| 218 | fe80:c25a:ec00:ddc:d90::/76 | fe80:c25a:ec00:ddc:d9f:ffff:ffff:ffff |
| 219 | fe80:c25a:ec00:ddc:da0::/76 | fe80:c25a:ec00:ddc:daf:ffff:ffff:ffff |
| 220 | fe80:c25a:ec00:ddc:db0::/76 | fe80:c25a:ec00:ddc:dbf:ffff:ffff:ffff |
| 221 | fe80:c25a:ec00:ddc:dc0::/76 | fe80:c25a:ec00:ddc:dcf:ffff:ffff:ffff |
| 222 | fe80:c25a:ec00:ddc:dd0::/76 | fe80:c25a:ec00:ddc:ddf:ffff:ffff:ffff |
| 223 | fe80:c25a:ec00:ddc:de0::/76 | fe80:c25a:ec00:ddc:def:ffff:ffff:ffff |
| 224 | fe80:c25a:ec00:ddc:df0::/76 | fe80:c25a:ec00:ddc:dff:ffff:ffff:ffff |
| 225 | fe80:c25a:ec00:ddc:e00::/76 | fe80:c25a:ec00:ddc:e0f:ffff:ffff:ffff |
| 226 | fe80:c25a:ec00:ddc:e10::/76 | fe80:c25a:ec00:ddc:e1f:ffff:ffff:ffff |
| 227 | fe80:c25a:ec00:ddc:e20::/76 | fe80:c25a:ec00:ddc:e2f:ffff:ffff:ffff |
| 228 | fe80:c25a:ec00:ddc:e30::/76 | fe80:c25a:ec00:ddc:e3f:ffff:ffff:ffff |
| 229 | fe80:c25a:ec00:ddc:e40::/76 | fe80:c25a:ec00:ddc:e4f:ffff:ffff:ffff |
| 230 | fe80:c25a:ec00:ddc:e50::/76 | fe80:c25a:ec00:ddc:e5f:ffff:ffff:ffff |
| 231 | fe80:c25a:ec00:ddc:e60::/76 | fe80:c25a:ec00:ddc:e6f:ffff:ffff:ffff |
| 232 | fe80:c25a:ec00:ddc:e70::/76 | fe80:c25a:ec00:ddc:e7f:ffff:ffff:ffff |
| 233 | fe80:c25a:ec00:ddc:e80::/76 | fe80:c25a:ec00:ddc:e8f:ffff:ffff:ffff |
| 234 | fe80:c25a:ec00:ddc:e90::/76 | fe80:c25a:ec00:ddc:e9f:ffff:ffff:ffff |
| 235 | fe80:c25a:ec00:ddc:ea0::/76 | fe80:c25a:ec00:ddc:eaf:ffff:ffff:ffff |
| 236 | fe80:c25a:ec00:ddc:eb0::/76 | fe80:c25a:ec00:ddc:ebf:ffff:ffff:ffff |
| 237 | fe80:c25a:ec00:ddc:ec0::/76 | fe80:c25a:ec00:ddc:ecf:ffff:ffff:ffff |
| 238 | fe80:c25a:ec00:ddc:ed0::/76 | fe80:c25a:ec00:ddc:edf:ffff:ffff:ffff |
| 239 | fe80:c25a:ec00:ddc:ee0::/76 | fe80:c25a:ec00:ddc:eef:ffff:ffff:ffff |
| 240 | fe80:c25a:ec00:ddc:ef0::/76 | fe80:c25a:ec00:ddc:eff:ffff:ffff:ffff |
| 241 | fe80:c25a:ec00:ddc:f00::/76 | fe80:c25a:ec00:ddc:f0f:ffff:ffff:ffff |
| 242 | fe80:c25a:ec00:ddc:f10::/76 | fe80:c25a:ec00:ddc:f1f:ffff:ffff:ffff |
| 243 | fe80:c25a:ec00:ddc:f20::/76 | fe80:c25a:ec00:ddc:f2f:ffff:ffff:ffff |
| 244 | fe80:c25a:ec00:ddc:f30::/76 | fe80:c25a:ec00:ddc:f3f:ffff:ffff:ffff |
| 245 | fe80:c25a:ec00:ddc:f40::/76 | fe80:c25a:ec00:ddc:f4f:ffff:ffff:ffff |
| 246 | fe80:c25a:ec00:ddc:f50::/76 | fe80:c25a:ec00:ddc:f5f:ffff:ffff:ffff |
| 247 | fe80:c25a:ec00:ddc:f60::/76 | fe80:c25a:ec00:ddc:f6f:ffff:ffff:ffff |
| 248 | fe80:c25a:ec00:ddc:f70::/76 | fe80:c25a:ec00:ddc:f7f:ffff:ffff:ffff |
| 249 | fe80:c25a:ec00:ddc:f80::/76 | fe80:c25a:ec00:ddc:f8f:ffff:ffff:ffff |
| 250 | fe80:c25a:ec00:ddc:f90::/76 | fe80:c25a:ec00:ddc:f9f:ffff:ffff:ffff |
| 251 | fe80:c25a:ec00:ddc:fa0::/76 | fe80:c25a:ec00:ddc:faf:ffff:ffff:ffff |
| 252 | fe80:c25a:ec00:ddc:fb0::/76 | fe80:c25a:ec00:ddc:fbf:ffff:ffff:ffff |
| 253 | fe80:c25a:ec00:ddc:fc0::/76 | fe80:c25a:ec00:ddc:fcf:ffff:ffff:ffff |
| 254 | fe80:c25a:ec00:ddc:fd0::/76 | fe80:c25a:ec00:ddc:fdf:ffff:ffff:ffff |
| 255 | fe80:c25a:ec00:ddc:fe0::/76 | fe80:c25a:ec00:ddc:fef:ffff:ffff:ffff |
| 256 | fe80:c25a:ec00:ddc:ff0::/76 | fe80:c25a:ec00:ddc:fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |